### Method

# Gtk Buildable get_buildable_id

#### Declaration [src]

    const char*
    gtk_buildable_get_buildable_id (
      GtkBuildable* buildable
    )

#### Description [src]

Gets the ID of the `buildable` object.

`GtkBuilder` sets the name based on the ID attribute of the `<object>` tag used to construct the `buildable`.

#### Return value

Type: `const char*`

The ID of the buildable object.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.